regression: adding new features to point/multipoint layers fails to render until layer saved

2017-11-08 09:09 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25323

Description

A regression slipped into the memory provider under QGIS master whereas added features to a point memory layer fails to draw the

added features until the layer is saved.

Steps to reproduce

    1. Create a new project

    2. Create a new memory layer, set it to point (or multipoint)

    3. The created layer should already be in edit mode, if not switch it on

    4. Add a point feature

    5. Notice you will not see the newly added point on the canvas

    6. Hit the "save layer edits" toolbar button

    7. Notice the added feature now appears

Associated revisions

Revision e7a1c044 - 2017-11-10 04:49 AM - Mathieu Pellerin - nIRV

Trigger layer repaint when adding field-less features (fixes #17426)

History

#1 - 2017-11-09 04:25 AM - Mathieu Pellerin - nIRV

The regression occurs with memory point layers having no fields.

#2 - 2017-11-10 04:08 AM - Mathieu Pellerin - nIRV

- Subject changed from regression: adding new features to a point/multipoint memory layers fails to render until layer saved to regression: adding new 

features to point/multipoint layers fails to render until layer saved

Note: this actually impacts not only memory provider's point layers, the regression is also present with field-less shapefile (i.e. ogr provider) point layers.

#3 - 2017-11-10 04:49 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|e7a1c0440abaf144636e8e607f0ed347cf92d308.
